GNU bug report logs - #12180
Fwd: bug#12163: 24.1; Can not input anything or showing none output when debugging c/c++ application.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: qq510371827 <qq510371827@HIDDEN>; merged with #12163; dated Sat, 11 Aug 2012 15:21:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Removed tag(s) patch. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.
Added tag(s) patch. Request was from David Edmondson <dme@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug No longer marked as fixed in versions 24.4 and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
bug marked as fixed in version 24.4, send any further explanations to 12163 <at> debbugs.gnu.org and qq510371827 <qq510371827@HIDDEN> Request was from Michael Albinus <michael.albinus@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Michael Albinus <michael.albinus@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Aug 2012 14:10:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 13 10:10:19 2012
Received: from localhost ([127.0.0.1]:53539 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T0vLV-0005vj-QJ
	for submit <at> debbugs.gnu.org; Mon, 13 Aug 2012 10:10:19 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51872)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <qq510371827@HIDDEN>) id 1T0vLS-0005vb-7k
	for submit <at> debbugs.gnu.org; Mon, 13 Aug 2012 10:10:15 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <qq510371827@HIDDEN>) id 1T0vD5-0000tK-PR
	for submit <at> debbugs.gnu.org; Mon, 13 Aug 2012 10:01:41 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.6 required=5.0 tests=BAYES_00,
	FREEMAIL_ENVFROM_END_DIGIT, FREEMAIL_FROM, HTML_MESSAGE,
	RCVD_IN_DNSWL_HI, 
	T_DKIM_INVALID autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:57801)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <qq510371827@HIDDEN>) id 1T0vD5-0000tC-Mi
	for submit <at> debbugs.gnu.org; Mon, 13 Aug 2012 10:01:35 -0400
Received: from eggs.gnu.org ([208.118.235.92]:40029)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <qq510371827@HIDDEN>) id 1T0vCw-0005Rb-2z
	for bug-gnu-emacs@HIDDEN; Mon, 13 Aug 2012 10:01:35 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <qq510371827@HIDDEN>) id 1T0vCm-0000qI-4n
	for bug-gnu-emacs@HIDDEN; Mon, 13 Aug 2012 10:01:26 -0400
Received: from mail-wi0-f171.google.com ([209.85.212.171]:37939)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <qq510371827@HIDDEN>)
	id 1T0vCl-0000pq-RV; Mon, 13 Aug 2012 10:01:16 -0400
Received: by wibhq4 with SMTP id hq4so2706768wib.12
	for <multiple recipients>; Mon, 13 Aug 2012 07:01:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:content-type; bh=WBK0Yfffv5p085IThE13t72ONAb7kLjhh65bF2i3NB8=;
	b=SES5j+JrpjrVSJA+Kf02a4Dqdnbn7g6zbCiG3TsFgQtmLv4+IpFgHC+s8mBzzADXUA
	ep46KdQjqiR5FQQ0qGvRE3VgzBTV+1GlvXZ9Ad7lBcJrbU54CStNpUOX+neM2YDf9ic/
	UsXS3z0L/ImDBBrqKNVEKtOAdAGDcb86aDG+UklUNyoUK2K2S8O+EfZ08tAFlM+o6st6
	1KzMcryP/rVsDXjbUE/szPoCPthUXUfytrTDabct1pw+aNbd5+KXr1SdyKZanqbFoz+N
	5TB30vLbkR0RrTib+6cHvvQGKXMAcHxRPaXU93tM/1NsuENE9Eq7+2JwI63y+R5DF+gB
	OkEg==
Received: by 10.180.86.133 with SMTP id p5mr18755301wiz.17.1344866474248; Mon,
	13 Aug 2012 07:01:14 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.216.225.72 with HTTP; Mon, 13 Aug 2012 07:00:33 -0700 (PDT)
In-Reply-To: <83has86lk9.fsf@HIDDEN>
References: <CAORnh3iB4=RyVT1qwG+a61C4VQs+KkC5gfeZ4_T38nNDmGbbWQ@HIDDEN>
	<83obmkdoli.fsf@HIDDEN>
	<CAORnh3gDSy9iG=o8E=Hnx=UaqzM6+Of5iN99-7Gyp46iVVMJHw@HIDDEN>
	<83ehnfdzgw.fsf@HIDDEN>
	<CAORnh3guaiS0feFz3kH47fyp3JqkyBtfujKxFQ4TZetwZSjLTA@HIDDEN>
	<837gt7dqjm.fsf@HIDDEN>
	<CAORnh3icm+MjYUOUbKfihcJdekMNKgztT0ghw2P3fFS+bnaMVQ@HIDDEN>
	<83628qeikl.fsf@HIDDEN>
	<CAORnh3iNywhP_MDMt=7AiX_c-UvZqU=5NrbTEQmA=aB2pfTzCw@HIDDEN>
	<83obmhcxfz.fsf@HIDDEN>
	<CAORnh3gFYYVmB7gujppmv3cs6rGm6Dei1vPYxGixtnVLSXrC5w@HIDDEN>
	<CAORnh3hh2xFD3Z9GyS1JDpROTDHVr4VtOcwRz1=G+DgW+wA3eQ@HIDDEN>
	<83lihlcsmu.fsf@HIDDEN>
	<CAORnh3jDJht4Sdb3G63YidxSgHeKHdUgATDfR2EpV2S5tLaY4g@HIDDEN>
	<83has86lk9.fsf@HIDDEN>
From: qq510371827 <qq510371827@HIDDEN>
Date: Mon, 13 Aug 2012 22:00:33 +0800
Message-ID: <CAORnh3jrv4qK88o2uXgRSpw_9RsSi2LuaCmKjHa3fwQxvhwpoA@HIDDEN>
Subject: Re: bug#12180: bug#12163: 24.1; Can not input anything or showing
	none output when debugging c/c++ application.
To: Eli Zaretskii <eliz@HIDDEN>, bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=f46d0442820e77c9f904c726207f
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -5.9 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.9 (-----)

--f46d0442820e77c9f904c726207f
Content-Type: text/plain; charset=ISO-8859-1

' set new-console on ' command works for me. I have tried eclipse cdt  and
it also has the same problem as emacs 24.1 on windows with mingw.
Strangely, why emacs 23.4 just works?
2012/8/13 Eli Zaretskii <eliz@HIDDEN>

> > From: qq510371827 <qq510371827@HIDDEN>
> > Date: Sun, 12 Aug 2012 09:32:14 +0800
> > Cc: 12180 <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN
> >
> > Yes,I have tried that.Both GUI session and TTY session work very well.
>
> I guess it's a matter of timing, then: there's a certain race
> condition between Emacs that crams commands into GDB and the debuggee
> that reads from stdin.  If the latter comes after Emacs already sent
> all the commands, then the program will work correctly.  But that's a
> guess; I hope someone knowledgeable about GUD, comint, and gdb-mi will
> chime in.  Nick? somebody?
>
> Anyway, I found a work-around for this problem.  After entering GDB,
> and before running your program, type this command at GDB prompt:
>
>   (gdb) set new-console on
>
> This will cause GDB to create a separate console window for the input
> and output of your program, when you run it, and you can then
> communicate with your program without mixing its I/O with that of GDB.
> Just be sure to put a breakpoint at the 'exit' call or at the last
> line of your 'main' function, if you want to look at the program
> output.  If you don't do that, the console will be automatically
> closed when your program exits.
>

--f46d0442820e77c9f904c726207f
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

&#39;=A0set new-console on=A0&#39; command works for me. I have tried=A0ecl=
ipse cdt =A0and it also has the same problem as emacs 24.1 on windows with =
mingw. Strangely, why emacs 23.4 just works?<br><div class=3D"gmail_quote">=
2012/8/13 Eli Zaretskii <span dir=3D"ltr">&lt;<a href=3D"mailto:eliz@HIDDEN=
g" target=3D"_blank">eliz@HIDDEN</a>&gt;</span><br>

<blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1p=
x #ccc solid;padding-left:1ex">&gt; From: qq510371827 &lt;<a href=3D"mailto=
:qq510371827@HIDDEN">qq510371827@HIDDEN</a>&gt;<br>
&gt; Date: Sun, 12 Aug 2012 09:32:14 +0800<br>
&gt; Cc: <a href=3D"mailto:12180 <at> debbugs.gnu.org">12180 <at> debbugs.gnu.org</a>=
, <a href=3D"mailto:bug-gnu-emacs@HIDDEN">bug-gnu-emacs@HIDDEN</a><br>
<div class=3D"im">&gt;<br>
&gt; Yes,I have tried that.Both GUI session and TTY session work very well.=
<br>
<br>
</div>I guess it&#39;s a matter of timing, then: there&#39;s a certain race=
<br>
condition between Emacs that crams commands into GDB and the debuggee<br>
that reads from stdin. =A0If the latter comes after Emacs already sent<br>
all the commands, then the program will work correctly. =A0But that&#39;s a=
<br>
guess; I hope someone knowledgeable about GUD, comint, and gdb-mi will<br>
chime in. =A0Nick? somebody?<br>
<br>
Anyway, I found a work-around for this problem. =A0After entering GDB,<br>
and before running your program, type this command at GDB prompt:<br>
<br>
=A0 (gdb) set new-console on<br>
<br>
This will cause GDB to create a separate console window for the input<br>
and output of your program, when you run it, and you can then<br>
communicate with your program without mixing its I/O with that of GDB.<br>
Just be sure to put a breakpoint at the &#39;exit&#39; call or at the last<=
br>
line of your &#39;main&#39; function, if you want to look at the program<br=
>
output. =A0If you don&#39;t do that, the console will be automatically<br>
closed when your program exits.<br>
</blockquote></div><br>

--f46d0442820e77c9f904c726207f--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12180; Package emacs. Full text available.

Message received at 12180 <at> debbugs.gnu.org:


Received: (at 12180) by debbugs.gnu.org; 12 Aug 2012 18:05:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 12 14:05:13 2012
Received: from localhost ([127.0.0.1]:51584 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T0cXI-0000G1-P7
	for submit <at> debbugs.gnu.org; Sun, 12 Aug 2012 14:05:13 -0400
Received: from mtaout23.012.net.il ([80.179.55.175]:34093)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1T0cXG-0000Fs-3A
	for 12180 <at> debbugs.gnu.org; Sun, 12 Aug 2012 14:05:11 -0400
Received: from conversion-daemon.a-mtaout23.012.net.il by
	a-mtaout23.012.net.il (HyperSendmail v2007.08) id
	<0M8N00M00LU6A300@HIDDEN> for
	12180 <at> debbugs.gnu.org; Sun, 12 Aug 2012 20:56:39 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout23.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M8N00L4YLUDXUF0@HIDDEN>;
	Sun, 12 Aug 2012 20:56:37 +0300 (IDT)
Date: Sun, 12 Aug 2012 20:56:38 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#12180: bug#12163: 24.1;
	Can not input anything or showing none output when debugging c/c++
	application.
In-reply-to: <CAORnh3jDJht4Sdb3G63YidxSgHeKHdUgATDfR2EpV2S5tLaY4g@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: qq510371827 <qq510371827@HIDDEN>, Nick Roberts <nickrob@HIDDEN>
Message-id: <83has86lk9.fsf@HIDDEN>
References: <CAORnh3iB4=RyVT1qwG+a61C4VQs+KkC5gfeZ4_T38nNDmGbbWQ@HIDDEN>
	<83obmkdoli.fsf@HIDDEN>
	<CAORnh3gDSy9iG=o8E=Hnx=UaqzM6+Of5iN99-7Gyp46iVVMJHw@HIDDEN>
	<83ehnfdzgw.fsf@HIDDEN>
	<CAORnh3guaiS0feFz3kH47fyp3JqkyBtfujKxFQ4TZetwZSjLTA@HIDDEN>
	<837gt7dqjm.fsf@HIDDEN>
	<CAORnh3icm+MjYUOUbKfihcJdekMNKgztT0ghw2P3fFS+bnaMVQ@HIDDEN>
	<83628qeikl.fsf@HIDDEN>
	<CAORnh3iNywhP_MDMt=7AiX_c-UvZqU=5NrbTEQmA=aB2pfTzCw@HIDDEN>
	<83obmhcxfz.fsf@HIDDEN>
	<CAORnh3gFYYVmB7gujppmv3cs6rGm6Dei1vPYxGixtnVLSXrC5w@HIDDEN>
	<CAORnh3hh2xFD3Z9GyS1JDpROTDHVr4VtOcwRz1=G+DgW+wA3eQ@HIDDEN>
	<83lihlcsmu.fsf@HIDDEN>
	<CAORnh3jDJht4Sdb3G63YidxSgHeKHdUgATDfR2EpV2S5tLaY4g@HIDDEN>
X-Spam-Score: -1.2 (-)
X-Debbugs-Envelope-To: 12180
Cc: 12180 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: qq510371827 <qq510371827@HIDDEN>
> Date: Sun, 12 Aug 2012 09:32:14 +0800
> Cc: 12180 <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN
> 
> Yes,I have tried that.Both GUI session and TTY session work very well.

I guess it's a matter of timing, then: there's a certain race
condition between Emacs that crams commands into GDB and the debuggee
that reads from stdin.  If the latter comes after Emacs already sent
all the commands, then the program will work correctly.  But that's a
guess; I hope someone knowledgeable about GUD, comint, and gdb-mi will
chime in.  Nick? somebody?

Anyway, I found a work-around for this problem.  After entering GDB,
and before running your program, type this command at GDB prompt:

  (gdb) set new-console on

This will cause GDB to create a separate console window for the input
and output of your program, when you run it, and you can then
communicate with your program without mixing its I/O with that of GDB.
Just be sure to put a breakpoint at the 'exit' call or at the last
line of your 'main' function, if you want to look at the program
output.  If you don't do that, the console will be automatically
closed when your program exits.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12180; Package emacs. Full text available.

Message received at 12180 <at> debbugs.gnu.org:


Received: (at 12180) by debbugs.gnu.org; 12 Aug 2012 01:41:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 11 21:41:22 2012
Received: from localhost ([127.0.0.1]:50208 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T0NBC-0001Qf-Bf
	for submit <at> debbugs.gnu.org; Sat, 11 Aug 2012 21:41:22 -0400
Received: from mail-wi0-f174.google.com ([209.85.212.174]:45221)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <qq510371827@HIDDEN>) id 1T0NBA-0001QX-1o
	for 12180 <at> debbugs.gnu.org; Sat, 11 Aug 2012 21:41:20 -0400
Received: by wibhr14 with SMTP id hr14so1944727wib.15
	for <12180 <at> debbugs.gnu.org>; Sat, 11 Aug 2012 18:32:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type;
	bh=4p5C0AQyjOlqGGoIxRbqPLnVfKdSrDK2itFPuHzzTFY=;
	b=rQrjPwuaJmmi1r4Zu9XZg2IOS2Naxk1Zh4h/HdqTthXyNPd9kt98ioQgiOp0M+WPqY
	jL4q4cbWOmJScrrZD5Fe/7CHMGxcDYnP+xTCIK9YQQZ8jafUQW9e8GEIroduKq73S8Cd
	3FQ0bmSKgMBbIGxuMJrFSJLUIXkkGIZUAI67e8A/t+YJja2IEJ+9DA80ht+m0/nZ2aZb
	LI/byaFKiIzn+YJegUMCDOIMEHP8cKscCGSbp4IKsl0+OlAKjqiOX9jGglZRYNkyyZWS
	AFUl1cGoJUUHNzDuHZmcPLjgVca4JRHiFjdLMJKvrzlcAnsMr+mxLgvrE1YvfC4tKmN0
	KyLw==
Received: by 10.180.107.2 with SMTP id gy2mr7327873wib.2.1344735175113; Sat,
	11 Aug 2012 18:32:55 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.216.210.19 with HTTP; Sat, 11 Aug 2012 18:32:14 -0700 (PDT)
In-Reply-To: <83lihlcsmu.fsf@HIDDEN>
References: <CAORnh3iB4=RyVT1qwG+a61C4VQs+KkC5gfeZ4_T38nNDmGbbWQ@HIDDEN>
	<83obmkdoli.fsf@HIDDEN>
	<CAORnh3gDSy9iG=o8E=Hnx=UaqzM6+Of5iN99-7Gyp46iVVMJHw@HIDDEN>
	<83ehnfdzgw.fsf@HIDDEN>
	<CAORnh3guaiS0feFz3kH47fyp3JqkyBtfujKxFQ4TZetwZSjLTA@HIDDEN>
	<837gt7dqjm.fsf@HIDDEN>
	<CAORnh3icm+MjYUOUbKfihcJdekMNKgztT0ghw2P3fFS+bnaMVQ@HIDDEN>
	<83628qeikl.fsf@HIDDEN>
	<CAORnh3iNywhP_MDMt=7AiX_c-UvZqU=5NrbTEQmA=aB2pfTzCw@HIDDEN>
	<83obmhcxfz.fsf@HIDDEN>
	<CAORnh3gFYYVmB7gujppmv3cs6rGm6Dei1vPYxGixtnVLSXrC5w@HIDDEN>
	<CAORnh3hh2xFD3Z9GyS1JDpROTDHVr4VtOcwRz1=G+DgW+wA3eQ@HIDDEN>
	<83lihlcsmu.fsf@HIDDEN>
From: qq510371827 <qq510371827@HIDDEN>
Date: Sun, 12 Aug 2012 09:32:14 +0800
Message-ID: <CAORnh3jDJht4Sdb3G63YidxSgHeKHdUgATDfR2EpV2S5tLaY4g@HIDDEN>
Subject: Re: bug#12180: bug#12163: 24.1; Can not input anything or showing
	none output when debugging c/c++ application.
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=e89a8f3b9f656dfc5404c7078ef2
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 12180
Cc: bug-gnu-emacs@HIDDEN, 12180 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.3 (--)

--e89a8f3b9f656dfc5404c7078ef2
Content-Type: text/plain; charset=ISO-8859-1

Yes,I have tried that.Both GUI session and TTY session work very well.
2012/8/12 Eli Zaretskii <eliz@HIDDEN>

> > From: qq510371827 <qq510371827@HIDDEN>
> > Date: Sat, 11 Aug 2012 23:11:33 +0800
> >
> > emacs 24.1.1(i686-pc-linux-gnu),GTK+ Version 2.24.10 of 2012-07-17 on
> > berkelium, modified by Debian
> > GNU gdb (ubuntu/Linaro 7.4-2012.04-0ubuntu2)
> > ubuntu 12.04 LTS.
>
> Did you try this in a GUI session or in a TTY?  If in a GUI session,
> can you try in a TTY session ("emacs -Q -nw")?
>

--e89a8f3b9f656dfc5404c7078ef2
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

Yes,I have tried that.Both GUI session and TTY session work very well.<br><=
div class=3D"gmail_quote">2012/8/12 Eli Zaretskii <span dir=3D"ltr">&lt;<a =
href=3D"mailto:eliz@HIDDEN" target=3D"_blank">eliz@HIDDEN</a>&gt;</span><=
br><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left=
:1px #ccc solid;padding-left:1ex">

&gt; From: qq510371827 &lt;<a href=3D"mailto:qq510371827@HIDDEN">qq51037=
1827@HIDDEN</a>&gt;<br>
&gt; Date: Sat, 11 Aug 2012 23:11:33 +0800<br>
&gt;<br>
&gt; emacs 24.1.1(i686-pc-linux-gnu),GTK+ Version 2.24.10 of 2012-07-17 on<=
br>
&gt; berkelium, modified by Debian<br>
&gt; GNU gdb (ubuntu/Linaro 7.4-2012.04-0ubuntu2)<br>
&gt; ubuntu 12.04 LTS.<br>
<br>
Did you try this in a GUI session or in a TTY? =A0If in a GUI session,<br>
can you try in a TTY session (&quot;emacs -Q -nw&quot;)?<br>
</blockquote></div><br>

--e89a8f3b9f656dfc5404c7078ef2--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12180; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Aug 2012 01:41:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 11 21:41:28 2012
Received: from localhost ([127.0.0.1]:50211 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T0NBH-0001Qv-M2
	for submit <at> debbugs.gnu.org; Sat, 11 Aug 2012 21:41:27 -0400
Received: from eggs.gnu.org ([208.118.235.92]:38818)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <qq510371827@HIDDEN>) id 1T0NBF-0001Qo-El
	for submit <at> debbugs.gnu.org; Sat, 11 Aug 2012 21:41:25 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <qq510371827@HIDDEN>) id 1T0N36-0006jb-IA
	for submit <at> debbugs.gnu.org; Sat, 11 Aug 2012 21:33:01 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.6 required=5.0 tests=BAYES_00,
	FREEMAIL_ENVFROM_END_DIGIT, FREEMAIL_FROM, HTML_MESSAGE,
	RCVD_IN_DNSWL_HI, 
	T_DKIM_INVALID autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:41715)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <qq510371827@HIDDEN>) id 1T0N36-0006jU-Eo
	for submit <at> debbugs.gnu.org; Sat, 11 Aug 2012 21:33:00 -0400
Received: from eggs.gnu.org ([208.118.235.92]:55117)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <qq510371827@HIDDEN>) id 1T0N34-00050i-CW
	for bug-gnu-emacs@HIDDEN; Sat, 11 Aug 2012 21:33:00 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <qq510371827@HIDDEN>) id 1T0N32-0006jA-CA
	for bug-gnu-emacs@HIDDEN; Sat, 11 Aug 2012 21:32:58 -0400
Received: from mail-wi0-f177.google.com ([209.85.212.177]:54019)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <qq510371827@HIDDEN>)
	id 1T0N32-0006j5-5k; Sat, 11 Aug 2012 21:32:56 -0400
Received: by wibhn17 with SMTP id hn17so1204157wib.12
	for <multiple recipients>; Sat, 11 Aug 2012 18:32:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type;
	bh=4p5C0AQyjOlqGGoIxRbqPLnVfKdSrDK2itFPuHzzTFY=;
	b=rQrjPwuaJmmi1r4Zu9XZg2IOS2Naxk1Zh4h/HdqTthXyNPd9kt98ioQgiOp0M+WPqY
	jL4q4cbWOmJScrrZD5Fe/7CHMGxcDYnP+xTCIK9YQQZ8jafUQW9e8GEIroduKq73S8Cd
	3FQ0bmSKgMBbIGxuMJrFSJLUIXkkGIZUAI67e8A/t+YJja2IEJ+9DA80ht+m0/nZ2aZb
	LI/byaFKiIzn+YJegUMCDOIMEHP8cKscCGSbp4IKsl0+OlAKjqiOX9jGglZRYNkyyZWS
	AFUl1cGoJUUHNzDuHZmcPLjgVca4JRHiFjdLMJKvrzlcAnsMr+mxLgvrE1YvfC4tKmN0
	KyLw==
Received: by 10.180.107.2 with SMTP id gy2mr7327873wib.2.1344735175113; Sat,
	11 Aug 2012 18:32:55 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.216.210.19 with HTTP; Sat, 11 Aug 2012 18:32:14 -0700 (PDT)
In-Reply-To: <83lihlcsmu.fsf@HIDDEN>
References: <CAORnh3iB4=RyVT1qwG+a61C4VQs+KkC5gfeZ4_T38nNDmGbbWQ@HIDDEN>
	<83obmkdoli.fsf@HIDDEN>
	<CAORnh3gDSy9iG=o8E=Hnx=UaqzM6+Of5iN99-7Gyp46iVVMJHw@HIDDEN>
	<83ehnfdzgw.fsf@HIDDEN>
	<CAORnh3guaiS0feFz3kH47fyp3JqkyBtfujKxFQ4TZetwZSjLTA@HIDDEN>
	<837gt7dqjm.fsf@HIDDEN>
	<CAORnh3icm+MjYUOUbKfihcJdekMNKgztT0ghw2P3fFS+bnaMVQ@HIDDEN>
	<83628qeikl.fsf@HIDDEN>
	<CAORnh3iNywhP_MDMt=7AiX_c-UvZqU=5NrbTEQmA=aB2pfTzCw@HIDDEN>
	<83obmhcxfz.fsf@HIDDEN>
	<CAORnh3gFYYVmB7gujppmv3cs6rGm6Dei1vPYxGixtnVLSXrC5w@HIDDEN>
	<CAORnh3hh2xFD3Z9GyS1JDpROTDHVr4VtOcwRz1=G+DgW+wA3eQ@HIDDEN>
	<83lihlcsmu.fsf@HIDDEN>
From: qq510371827 <qq510371827@HIDDEN>
Date: Sun, 12 Aug 2012 09:32:14 +0800
Message-ID: <CAORnh3jDJht4Sdb3G63YidxSgHeKHdUgATDfR2EpV2S5tLaY4g@HIDDEN>
Subject: Re: bug#12180: bug#12163: 24.1; Can not input anything or showing
	none output when debugging c/c++ application.
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=e89a8f3b9f656dfc5404c7078ef2
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -5.9 (-----)
X-Debbugs-Envelope-To: submit
Cc: bug-gnu-emacs@HIDDEN, 12180 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.9 (-----)

--e89a8f3b9f656dfc5404c7078ef2
Content-Type: text/plain; charset=ISO-8859-1

Yes,I have tried that.Both GUI session and TTY session work very well.
2012/8/12 Eli Zaretskii <eliz@HIDDEN>

> > From: qq510371827 <qq510371827@HIDDEN>
> > Date: Sat, 11 Aug 2012 23:11:33 +0800
> >
> > emacs 24.1.1(i686-pc-linux-gnu),GTK+ Version 2.24.10 of 2012-07-17 on
> > berkelium, modified by Debian
> > GNU gdb (ubuntu/Linaro 7.4-2012.04-0ubuntu2)
> > ubuntu 12.04 LTS.
>
> Did you try this in a GUI session or in a TTY?  If in a GUI session,
> can you try in a TTY session ("emacs -Q -nw")?
>

--e89a8f3b9f656dfc5404c7078ef2
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

Yes,I have tried that.Both GUI session and TTY session work very well.<br><=
div class=3D"gmail_quote">2012/8/12 Eli Zaretskii <span dir=3D"ltr">&lt;<a =
href=3D"mailto:eliz@HIDDEN" target=3D"_blank">eliz@HIDDEN</a>&gt;</span><=
br><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left=
:1px #ccc solid;padding-left:1ex">

&gt; From: qq510371827 &lt;<a href=3D"mailto:qq510371827@HIDDEN">qq51037=
1827@HIDDEN</a>&gt;<br>
&gt; Date: Sat, 11 Aug 2012 23:11:33 +0800<br>
&gt;<br>
&gt; emacs 24.1.1(i686-pc-linux-gnu),GTK+ Version 2.24.10 of 2012-07-17 on<=
br>
&gt; berkelium, modified by Debian<br>
&gt; GNU gdb (ubuntu/Linaro 7.4-2012.04-0ubuntu2)<br>
&gt; ubuntu 12.04 LTS.<br>
<br>
Did you try this in a GUI session or in a TTY? =A0If in a GUI session,<br>
can you try in a TTY session (&quot;emacs -Q -nw&quot;)?<br>
</blockquote></div><br>

--e89a8f3b9f656dfc5404c7078ef2--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12180; Package emacs. Full text available.
Merged 12163 12180. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 12180 <at> debbugs.gnu.org:


Received: (at 12180) by debbugs.gnu.org; 11 Aug 2012 16:23:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 11 12:23:31 2012
Received: from localhost ([127.0.0.1]:49669 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T0ETL-0003JQ-97
	for submit <at> debbugs.gnu.org; Sat, 11 Aug 2012 12:23:31 -0400
Received: from mtaout21.012.net.il ([80.179.55.169]:61594)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1T0ETJ-0003JH-2t
	for 12180 <at> debbugs.gnu.org; Sat, 11 Aug 2012 12:23:30 -0400
Received: from conversion-daemon.a-mtaout21.012.net.il by
	a-mtaout21.012.net.il (HyperSendmail v2007.08) id
	<0M8L00900MDAI400@HIDDEN> for
	12180 <at> debbugs.gnu.org; Sat, 11 Aug 2012 19:15:05 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout21.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M8L009C9MGVD4A0@HIDDEN>;
	Sat, 11 Aug 2012 19:14:55 +0300 (IDT)
Date: Sat, 11 Aug 2012 19:15:05 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#12180: bug#12163: 24.1;
	Can not input anything or showing none output when debugging
	c/c++	application.
In-reply-to: <CAORnh3hh2xFD3Z9GyS1JDpROTDHVr4VtOcwRz1=G+DgW+wA3eQ@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: qq510371827 <qq510371827@HIDDEN>
Message-id: <83lihlcsmu.fsf@HIDDEN>
References: <CAORnh3iB4=RyVT1qwG+a61C4VQs+KkC5gfeZ4_T38nNDmGbbWQ@HIDDEN>
	<83obmkdoli.fsf@HIDDEN>
	<CAORnh3gDSy9iG=o8E=Hnx=UaqzM6+Of5iN99-7Gyp46iVVMJHw@HIDDEN>
	<83ehnfdzgw.fsf@HIDDEN>
	<CAORnh3guaiS0feFz3kH47fyp3JqkyBtfujKxFQ4TZetwZSjLTA@HIDDEN>
	<837gt7dqjm.fsf@HIDDEN>
	<CAORnh3icm+MjYUOUbKfihcJdekMNKgztT0ghw2P3fFS+bnaMVQ@HIDDEN>
	<83628qeikl.fsf@HIDDEN>
	<CAORnh3iNywhP_MDMt=7AiX_c-UvZqU=5NrbTEQmA=aB2pfTzCw@HIDDEN>
	<83obmhcxfz.fsf@HIDDEN>
	<CAORnh3gFYYVmB7gujppmv3cs6rGm6Dei1vPYxGixtnVLSXrC5w@HIDDEN>
	<CAORnh3hh2xFD3Z9GyS1JDpROTDHVr4VtOcwRz1=G+DgW+wA3eQ@HIDDEN>
X-Spam-Score: -1.2 (-)
X-Debbugs-Envelope-To: 12180
Cc: 12180 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: qq510371827 <qq510371827@HIDDEN>
> Date: Sat, 11 Aug 2012 23:11:33 +0800
> 
> emacs 24.1.1(i686-pc-linux-gnu),GTK+ Version 2.24.10 of 2012-07-17 on
> berkelium, modified by Debian
> GNU gdb (ubuntu/Linaro 7.4-2012.04-0ubuntu2)
> ubuntu 12.04 LTS.

Did you try this in a GUI session or in a TTY?  If in a GUI session,
can you try in a TTY session ("emacs -Q -nw")?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12180; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Aug 2012 15:20:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 11 11:20:43 2012
Received: from localhost ([127.0.0.1]:49561 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T0DUY-0001tt-VM
	for submit <at> debbugs.gnu.org; Sat, 11 Aug 2012 11:20:43 -0400
Received: from eggs.gnu.org ([208.118.235.92]:56294)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <qq510371827@HIDDEN>) id 1T0DUX-0001tn-6t
	for submit <at> debbugs.gnu.org; Sat, 11 Aug 2012 11:20:42 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <qq510371827@HIDDEN>) id 1T0DMQ-0001UR-5m
	for submit <at> debbugs.gnu.org; Sat, 11 Aug 2012 11:12:19 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.6 required=5.0 tests=BAYES_00,
	FREEMAIL_ENVFROM_END_DIGIT, FREEMAIL_FROM, HTML_MESSAGE,
	RCVD_IN_DNSWL_HI, 
	T_DKIM_INVALID autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:47865)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <qq510371827@HIDDEN>) id 1T0DMQ-0001UN-2R
	for submit <at> debbugs.gnu.org; Sat, 11 Aug 2012 11:12:18 -0400
Received: from eggs.gnu.org ([208.118.235.92]:50720)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <qq510371827@HIDDEN>) id 1T0DMN-0002b3-TL
	for bug-gnu-emacs@HIDDEN; Sat, 11 Aug 2012 11:12:17 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <qq510371827@HIDDEN>) id 1T0DMM-0001Tv-Rk
	for bug-gnu-emacs@HIDDEN; Sat, 11 Aug 2012 11:12:15 -0400
Received: from mail-wi0-f169.google.com ([209.85.212.169]:39567)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <qq510371827@HIDDEN>) id 1T0DMM-0001Tq-LL
	for bug-gnu-emacs@HIDDEN; Sat, 11 Aug 2012 11:12:14 -0400
Received: by wibhm2 with SMTP id hm2so1821953wib.0
	for <bug-gnu-emacs@HIDDEN>; Sat, 11 Aug 2012 08:12:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:content-type; bh=0Ka/yiaFsO0Cy4B/WRCFWjNSz1LXTVrW+qkPsVE/AmI=;
	b=xJ5vq4G3ECIBjOWx0+A6/e5F8KZP3e9uA/g6m8Rk9innStEDp6lny/Miko+iZKwd1e
	/OhYTq4J3YQiMkVSPTUqn83YrDBxBZAY7zitADDPd4cqCZ/oISTHgiHfwTaWmeEuhsz5
	YPf+LOmlnghJC62wCMUERUTEnmPob0ECkpgooBf4AHDBlwpyHPmsv6L9hZrgVzCfV/We
	RruNrk4NCnD63Os0V3SGFgUdUAL1Vi1O5EpXK/a1Zo35ZgB3N8Jo+PFrJM4q+Kb6SrMv
	Za5G+uytSURkMfkd98JhzBzFxtG770UFznnvSHyEeYO5zUUF8VlmDywzJeOWB5mjfIrQ
	6uSQ==
Received: by 10.180.91.228 with SMTP id ch4mr4426864wib.7.1344697933738; Sat,
	11 Aug 2012 08:12:13 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.216.210.19 with HTTP; Sat, 11 Aug 2012 08:11:33 -0700 (PDT)
In-Reply-To: <CAORnh3gFYYVmB7gujppmv3cs6rGm6Dei1vPYxGixtnVLSXrC5w@HIDDEN>
References: <CAORnh3iB4=RyVT1qwG+a61C4VQs+KkC5gfeZ4_T38nNDmGbbWQ@HIDDEN>
	<83obmkdoli.fsf@HIDDEN>
	<CAORnh3gDSy9iG=o8E=Hnx=UaqzM6+Of5iN99-7Gyp46iVVMJHw@HIDDEN>
	<83ehnfdzgw.fsf@HIDDEN>
	<CAORnh3guaiS0feFz3kH47fyp3JqkyBtfujKxFQ4TZetwZSjLTA@HIDDEN>
	<837gt7dqjm.fsf@HIDDEN>
	<CAORnh3icm+MjYUOUbKfihcJdekMNKgztT0ghw2P3fFS+bnaMVQ@HIDDEN>
	<83628qeikl.fsf@HIDDEN>
	<CAORnh3iNywhP_MDMt=7AiX_c-UvZqU=5NrbTEQmA=aB2pfTzCw@HIDDEN>
	<83obmhcxfz.fsf@HIDDEN>
	<CAORnh3gFYYVmB7gujppmv3cs6rGm6Dei1vPYxGixtnVLSXrC5w@HIDDEN>
From: qq510371827 <qq510371827@HIDDEN>
Date: Sat, 11 Aug 2012 23:11:33 +0800
Message-ID: <CAORnh3hh2xFD3Z9GyS1JDpROTDHVr4VtOcwRz1=G+DgW+wA3eQ@HIDDEN>
Subject: Fwd: bug#12163: 24.1; Can not input anything or showing none output
	when debugging c/c++ application.
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=f46d043c7fa2abb0c704c6fee2b1
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -5.9 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.9 (-----)

--f46d043c7fa2abb0c704c6fee2b1
Content-Type: text/plain; charset=ISO-8859-1

emacs 24.1.1(i686-pc-linux-gnu),GTK+ Version 2.24.10 of 2012-07-17 on
berkelium, modified by Debian
GNU gdb (ubuntu/Linaro 7.4-2012.04-0ubuntu2)
ubuntu 12.04 LTS.

2012/8/11 Eli Zaretskii <eliz@HIDDEN>

> > From: qq510371827 <qq510371827@HIDDEN>
> > Date: Sat, 11 Aug 2012 20:32:56 +0800
> >
> > Thanks for your good work. The problem I encountered on windows is just
> as
> > you have described.But on linux(i am running ubuntu 12.04 under
> virtualbox)
> > ,it works for me.
>
> What version of Emacs do you have on Ubuntu, and what version of GDB?
>

--f46d043c7fa2abb0c704c6fee2b1
Content-Type: text/html; charset=ISO-8859-1

emacs 24.1.1(i686-pc-linux-gnu),GTK+ Version 2.24.10 of 2012-07-17 on berkelium, modified by Debian<br><div class="gmail_quote"><div>GNU gdb (ubuntu/Linaro 7.4-2012.04-0ubuntu2)<br>ubuntu 12.04 LTS.<div><div class="h5"><br>

<div class="gmail_quote">2012/8/11 Eli Zaretskii <span dir="ltr">&lt;<a href="mailto:eliz@HIDDEN" target="_blank">eliz@HIDDEN</a>&gt;</span><br>
<blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">&gt; From: qq510371827 &lt;<a href="mailto:qq510371827@HIDDEN" target="_blank">qq510371827@HIDDEN</a>&gt;<br>
&gt; Date: Sat, 11 Aug 2012 20:32:56 +0800<br>
<div>&gt;<br>
&gt; Thanks for your good work. The problem I encountered on windows is just as<br>
&gt; you have described.But on linux(i am running ubuntu 12.04 under virtualbox)<br>
&gt; ,it works for me.<br>
<br>
</div>What version of Emacs do you have on Ubuntu, and what version of GDB?<br>
</blockquote></div><br></div></div></div>
</div><br>

--f46d043c7fa2abb0c704c6fee2b1--




Acknowledgement sent to qq510371827 <qq510371827@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#12180; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 30 Jun 2017 04:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.